org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange

## Class InterceptorComponent

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange.InterceptorComponent

    @ApplicationScoped
    public class InterceptorComponent
    extends Object

Component to show the CDI interceptor ordering with FT annotations

Author:
  carlosdlr

### Constructor Summary

Constructors
Constructor and Description
`InterceptorComponent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<String>` `asyncGetString()`
`String` `serviceRetryA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterceptorComponent

    public InterceptorComponent()

### Method Detail

#### serviceRetryA

    @Retry(maxRetries=1)
    public String serviceRetryA()

#### asyncGetString

    @Asynchronous
    public Future<String> asyncGetString()